<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/12/2
 * Time: 下午3:34
 */

namespace App\Modules\Finance\Services;


use App\Modules\Channel\Services\ChannelService;
use App\Modules\Finance\Models\BatchPayments;
use App\Modules\Finance\Models\FinancialStat;
use App\Modules\Finance\Models\WithdrawCash;
use App\Modules\Manage\Services\ManageService;
use App\Modules\User\Services\UserService;

class BatchPaymentService
{
    public static function addBatchPayment($param)
    {
        return BatchPayments::addBatchPayment($param);
    }

    public static function getBatchPayment($status, $is_all = false)
    {
        return BatchPayments::getBatchPayment($status, $is_all);
    }

    public static function getById($id)
    {
        return BatchPayments::getById($id);
    }

    public static function updatePaymentStatus($id, $status = '', $pay_merchant_source_msg, $pay_merchant_source_result)
    {
        return BatchPayments::updatePaymentStatus($id, $status, $pay_merchant_source_msg, $pay_merchant_source_result);
    }

    public static function makeThreeSourcePayment($userId, $batch_payment_id, $amount, $remark)
    {
        return BatchPayments::makeThreeSourcePayment($userId, $batch_payment_id, $amount, $remark);
    }

    public static function getBatchPaymentPaying() {
        return BatchPayments::getBatchPaymentPaying();
    }

    public static function  updateWithdrawCashStatus($id, $userId = '', $statusIn, $remark='', $serialNumber=''){
        return BatchPayments::updateWithdrawCashStatus($id, $userId , $statusIn, $remark, $serialNumber);
    }
}